Get a loan
curl --request GET \
--url https://api.panoqore.example/v1/loans/{currency}/{loan_ref} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/loans/{currency}/{loan_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/loans/{currency}/{loan_ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/loans/{currency}/{loan_ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"loanRef": "<string>",
"currency": "<string>",
"status": "OPEN",
"principalAccountId": "<string>",
"interestAccountId": "<string>",
"principalOutstanding": "<string>",
"interestOutstanding": "<string>",
"totalOutstanding": "<string>",
"openedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Lending
Get a loan
loan_ref is the reference the loan was opened with. status is OPEN while something is owed and CLEARED when nothing is, which includes a loan not yet drawn, repaid or written off.
Scope: any one of read, entries:write.
GET
/
v1
/
loans
/
{currency}
/
{loan_ref}
Get a loan
curl --request GET \
--url https://api.panoqore.example/v1/loans/{currency}/{loan_ref} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/loans/{currency}/{loan_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/loans/{currency}/{loan_ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/loans/{currency}/{loan_ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"loanRef": "<string>",
"currency": "<string>",
"status": "OPEN",
"principalAccountId": "<string>",
"interestAccountId": "<string>",
"principalOutstanding": "<string>",
"interestOutstanding": "<string>",
"totalOutstanding": "<string>",
"openedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Path Parameters
The currency.
Example:
"NGN"
The loan ref.
Example:
"LN-1042"
Response
OK
OPEN: something is owed
CLEARED: nothing is owed: not yet drawn, repaid or written off
Available options:
OPEN, CLEARED minor units
accrued interest and penalties, minor units
Minor units, as a string.